// Copyright (C) 2023 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

import QtQuick
import QtQuick.Studio.Components
import QtQuick.Shapes

Item {
    id: checkboxImages
    width: 72
    height: 72
    layer.format: ShaderEffectSource.RGBA
    smooth: false
    state: "state_type_Effects_Number_5"

    Image {
        id: materialimage10
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/LeathermatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage09
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/FabricmatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage08
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/PlasticTexturedmatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage07
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CarbonFibermatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage06
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/StonematIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage05
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/WoodmatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage04
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/GlassmatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage03
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CoppermatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage02
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/BrushedSteelmatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: materialimage01
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/SilvermatIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage07
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-6.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage06
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-5.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage05
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-4.tif"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage04
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-3.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage03
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-2.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage02
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-1.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage01
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: dmodelimage03
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesmodelIcon-1.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: dmodelimage02
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesmodelIcon.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: dmodelimage01
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesmodelIcon-3.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: dmodelimage04
        x: 3
        y: 7
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesmodelIcon-2.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage08
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-7.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage09
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-8.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage10
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-9.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }

    Image {
        id: effectimage11
        x: 0
        y: 0
        width: 72
        height: 72
        visible: false
        horizontalAlignment: Image.AlignLeft
        verticalAlignment: Image.AlignTop
        source: "file:content/images/Icons/CheckboxImagesfxIcon-10.png"
        layer.smooth: true
        layer.format: ShaderEffectSource.RGBA
        antialiasing: false
        cache: false
        mipmap: false
        smooth: false
    }
    states: [
        State {
            name: "state_type_Materials_Number_1"
            PropertyChanges {
                target: materialimage10
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_2"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage09
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_8"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage03
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_6"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage05
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_9"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage02
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_3"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage08
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_4"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage07
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_7"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage04
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_5"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage06
                visible: true
            }
        },
        State {
            name: "state_type_Materials_Number_10"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: materialimage01
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_1"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage07
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_8"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage01
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_2"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage06
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_3"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage05
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_4"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage04
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_5"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage03
                visible: true
            }
        },
        State {
            name: "state_type_3DModel_Number_4"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: dmodelimage04
                x: 0
                y: 0
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_6"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage02
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_7"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage08
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_9"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage09
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_10"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage10
                visible: true
            }
        },
        State {
            name: "state_type_Effects_Number_11"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: effectimage11
                visible: true
            }
        },
        State {
            name: "state_type_3DModel_Number_1"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: dmodelimage03
                visible: true
            }
        },
        State {
            name: "state_type_3DModel_Number_2"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: dmodelimage02
                visible: true
            }
        },
        State {
            name: "state_type_3DModel_Number_3"
            extend: "state_type_Materials_Number_1"

            PropertyChanges {
                target: dmodelimage01
                visible: true
            }
        }
    ]
}

/*##^##
Designer {
    D{i:0;height:72;width:72}
}
##^##*/

